
#import "b4i_main.h"
#import "b4i_page4code.h"
#import "b4i_page5code.h"
#import "b4i_page6code.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 4;
}


- (NSString*)  _application_active{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_active"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_active" :nil]);
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Active";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_background"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_background" :nil]);
[B4IRDebugUtils shared].currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_inactive{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_inactive"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_inactive" :nil]);
[B4IRDebugUtils shared].currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Private Sub Application_Inactive";
[B4IRDebugUtils shared].currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_start"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_start:" :@[_nav]]);
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (nav As NavigationCo";
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="TabControl.Initialize(\"TabControl\")";
[self._tabcontrol Initialize:self.bi :@"TabControl"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
[B4IRDebugUtils shared].currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="Page1.RootPanel.LoadLayout(\"Page1\")";
[[self._page1 RootPanel] LoadLayout:@"Page1" :self.bi];
[B4IRDebugUtils shared].currentLine=65543;
 //BA.debugLineNum = 65543;BA.debugLine="Page2.Initialize(\"Page2\")";
[self._page2 Initialize:self.bi :@"Page2"];
[B4IRDebugUtils shared].currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="Page2.RootPanel.LoadLayout(\"Page2\")";
[[self._page2 RootPanel] LoadLayout:@"Page2" :self.bi];
[B4IRDebugUtils shared].currentLine=65546;
 //BA.debugLineNum = 65546;BA.debugLine="Page3.Initialize(\"Page3\")";
[self._page3 Initialize:self.bi :@"Page3"];
[B4IRDebugUtils shared].currentLine=65547;
 //BA.debugLineNum = 65547;BA.debugLine="Page3.RootPanel.LoadLayout(\"Page3\")";
[[self._page3 RootPanel] LoadLayout:@"Page3" :self.bi];
[B4IRDebugUtils shared].currentLine=65549;
 //BA.debugLineNum = 65549;BA.debugLine="SetTabButtons";
[self _settabbuttons];
[B4IRDebugUtils shared].currentLine=65551;
 //BA.debugLineNum = 65551;BA.debugLine="TabControl.Pages = Array(Page1, Page2, Page3)";
[self._tabcontrol setPages:[self.bi ArrayToList:[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)((self._page1).object)],[B4I nilToNSNull:(NSObject*)((self._page2).object)],[B4I nilToNSNull:(NSObject*)((self._page3).object)]]]]];
[B4IRDebugUtils shared].currentLine=65553;
 //BA.debugLineNum = 65553;BA.debugLine="App.KeyController = TabControl";
[self._app setKeyController:(UIViewController*)((self._tabcontrol).object)];
[B4IRDebugUtils shared].currentLine=65554;
 //BA.debugLineNum = 65554;BA.debugLine="navControl = nav";
self._navcontrol = _nav;
[B4IRDebugUtils shared].currentLine=65555;
 //BA.debugLineNum = 65555;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _settabbuttons{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"settabbuttons"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"settabbuttons" :nil]);
B4ITabBarItemItemWrapper* _tbi = nil;
[B4IRDebugUtils shared].currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Private Sub SetTabButtons";
[B4IRDebugUtils shared].currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="Dim tbi As TabBarItem									' define a new TabB";
_tbi = [B4ITabBarItemItemWrapper new];
[B4IRDebugUtils shared].currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="tbi.InitializeSystem(tbi.ITEM_BOOKMARKS)	' initia";
[_tbi InitializeSystem:[_tbi ITEM_BOOKMARKS]];
[B4IRDebugUtils shared].currentLine=393220;
 //BA.debugLineNum = 393220;BA.debugLine="Page1.TabBarItem = tbi								' set this TabBarIt";
[self._page1 setTabBarItem:_tbi];
[B4IRDebugUtils shared].currentLine=393222;
 //BA.debugLineNum = 393222;BA.debugLine="Dim tbi As TabBarItem									' define a new TabB";
_tbi = [B4ITabBarItemItemWrapper new];
[B4IRDebugUtils shared].currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="tbi.Initialize(\"Page 2\", Null, Null) 	' initializ";
[_tbi Initialize:@"Page 2" :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])] :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])]];
[B4IRDebugUtils shared].currentLine=393224;
 //BA.debugLineNum = 393224;BA.debugLine="tbi.SetFont(Font.CreateNew(15))				' set the font";
[_tbi SetFont:[[self.__c Font] CreateNew:(float) (15)]];
[B4IRDebugUtils shared].currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="tbi.SetTitleOffset(0, -12)						' set the text of";
[_tbi SetTitleOffset:(float) (0) :(float) (-12)];
[B4IRDebugUtils shared].currentLine=393226;
 //BA.debugLineNum = 393226;BA.debugLine="Page2.TabBarItem = tbi								' set this TabBarIt";
[self._page2 setTabBarItem:_tbi];
[B4IRDebugUtils shared].currentLine=393229;
 //BA.debugLineNum = 393229;BA.debugLine="Dim tbi As TabBarItem									' define a new TabB";
_tbi = [B4ITabBarItemItemWrapper new];
[B4IRDebugUtils shared].currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="tbi.Initialize(\"Countries\", LoadBitmap(File.DirAs";
[_tbi Initialize:@"Countries" :[self.__c LoadBitmap:[[self.__c File] DirAssets] :@"btnCH0.png"] :[self.__c LoadBitmap:[[self.__c File] DirAssets] :@"btnCH1.png"]];
[B4IRDebugUtils shared].currentLine=393231;
 //BA.debugLineNum = 393231;BA.debugLine="Page3.TabBarItem = tbi								' set this TabBarIt";
[self._page3 setTabBarItem:_tbi];
[B4IRDebugUtils shared].currentLine=393232;
 //BA.debugLineNum = 393232;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _imvimage1_click{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"imvimage1_click"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"imvimage1_click" :nil]);
[B4IRDebugUtils shared].currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub imvImage1_Click";
[B4IRDebugUtils shared].currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="App.KeyController = navControl";
[self._app setKeyController:(UIViewController*)((self._navcontrol).object)];
[B4IRDebugUtils shared].currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="page4Code.show";
[self._page4code _show];
[B4IRDebugUtils shared].currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_appear{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_appear"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_appear" :nil]);
[B4IRDebugUtils shared].currentLine=1900544;
 //BA.debugLineNum = 1900544;BA.debugLine="Sub Page1_Appear";
[B4IRDebugUtils shared].currentLine=1900545;
 //BA.debugLineNum = 1900545;BA.debugLine="Log(\"Page1_Appear\")";
[self.__c Log:@"Page1_Appear"];
[B4IRDebugUtils shared].currentLine=1900546;
 //BA.debugLineNum = 1900546;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_disappear{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_disappear"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_disappear" :nil]);
[B4IRDebugUtils shared].currentLine=2097152;
 //BA.debugLineNum = 2097152;BA.debugLine="Sub Page1_Disappear";
[B4IRDebugUtils shared].currentLine=2097153;
 //BA.debugLineNum = 2097153;BA.debugLine="Log(\"Page1_Disappear\")";
[self.__c Log:@"Page1_Disappear"];
[B4IRDebugUtils shared].currentLine=2097154;
 //BA.debugLineNum = 2097154;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_resize"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_resize::" :@[@(_width),@(_height)]]);
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
[B4IRDebugUtils shared].currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_page4code new]initializeModule];
[[b4i_page5code new]initializeModule];
[[b4i_page6code new]initializeModule];

}
- (NSString*)  _process_globals{
self._page4code=[b4i_page4code new];
self._page5code=[b4i_page5code new];
self._page6code=[b4i_page6code new];
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"process_globals"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
[B4IRDebugUtils shared].currentLine=1;
 //BA.debugLineNum = 1;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
[B4IRDebugUtils shared].currentLine=2;
 //BA.debugLineNum = 2;BA.debugLine="Public TabControl As TabBarController";
self._tabcontrol = [B4ITabBarControllerWrapper new];
[B4IRDebugUtils shared].currentLine=3;
 //BA.debugLineNum = 3;BA.debugLine="Public Page1, Page2, Page3 ,Page4,Page5,Page6 As";
self._page1 = [B4IPage new];
self._page2 = [B4IPage new];
self._page3 = [B4IPage new];
self._page4 = [B4IPage new];
self._page5 = [B4IPage new];
self._page6 = [B4IPage new];
[B4IRDebugUtils shared].currentLine=4;
 //BA.debugLineNum = 4;BA.debugLine="Private imvImage1 As ImageView";
self._imvimage1 = [B4IImageViewWrapper new];
[B4IRDebugUtils shared].currentLine=5;
 //BA.debugLineNum = 5;BA.debugLine="Public navControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
[B4IRDebugUtils shared].currentLine=6;
 //BA.debugLineNum = 6;BA.debugLine="End Sub";
return @"";
}
@end